%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check

%global crate dua-cli

Name:           rust-dua-cli
Version:        2.29.0
Release:    1%{?dist}
Summary:        Tool to conveniently learn about the disk usage of directories

License:        MIT
URL:            https://crates.io/crates/dua-cli
Source0:         %{crates_source}
Patch:          dua-cli-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A tool to conveniently learn about the disk usage of directories, fast!.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        MIT AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/dua

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crosstermion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crosstermion-devel %{_description}

This package contains library source intended for building other packages which
use the "crosstermion" feature of the "%{crate}" crate.

%files       -n %{name}+crosstermion-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+open-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+open-devel %{_description}

This package contains library source intended for building other packages which
use the "open" feature of the "%{crate}" crate.

%files       -n %{name}+open-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trash-devel %{_description}

This package contains library source intended for building other packages which
use the "trash" feature of the "%{crate}" crate.

%files       -n %{name}+trash-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trash-move-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trash-move-devel %{_description}

This package contains library source intended for building other packages which
use the "trash-move" feature of the "%{crate}" crate.

%files       -n %{name}+trash-move-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-devel %{_description}

This package contains library source intended for building other packages which
use the "tui" feature of the "%{crate}" crate.

%files       -n %{name}+tui-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-crossplatform-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-crossplatform-devel %{_description}

This package contains library source intended for building other packages which
use the "tui-crossplatform" feature of the "%{crate}" crate.

%files       -n %{name}+tui-crossplatform-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-react-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-react-devel %{_description}

This package contains library source intended for building other packages which
use the "tui-react" feature of the "%{crate}" crate.

%files       -n %{name}+tui-react-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-segmentation-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-segmentation-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-segmentation" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-segmentation-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-width-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-width-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-width" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-width-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.29.0-1
- initial build
